#ifndef __BcPlugins_h
#define __BcPlugins_h
/**
  @author  VK쐬FH.Someya
  @since   VKF2013/10/28
  @file    BcPlugins.h
  @brief   TvFBeeComvOCC^[tF[X
  @version ύXF2013/10/28AH.SomeyaAVK
*/
/* ------------------------------------------------------------------
  I N C L U D E S
*/

#include <Windows.h>

#ifdef __cplusplus
extern "C" {
#endif

/* ------------------------------------------------------------------
  P U B L I C   D E F I N I T I O N S
*/

#ifdef _USRDLL
#define BCPLUGIN_API __declspec(dllexport)
#else
#define BCPLUGIN_API __declspec(dllimport)
#endif

typedef int (__stdcall * BCPLUGIN_INIT)(const wchar_t* gprms,
	HANDLE hPort, int sock, HANDLE hTerm);
typedef int (__stdcall * BCPLUGIN_FINALIZE)(const wchar_t* gprms,
	HANDLE hPort, int sock, HANDLE hTerm);
typedef int (__stdcall * BCPLUGIN_ONRX)(const wchar_t* prms,
	HANDLE hPort, int sock, HANDLE hTerm,
	void* data, int len);
typedef int (__stdcall * BCPLUGIN_ONTX)(const wchar_t* prms,
	HANDLE hPort, int sock, HANDLE hTerm,
	void* data, int len);

/* ------------------------------------------------------------------
  P U B L I C   C O N S T A N T S(NOT RECOMMENDED)
*/
/* ------------------------------------------------------------------
  P U B L I C   I N T E R F A C E S
*/

BCPLUGIN_API int __stdcall Initialize(const wchar_t* gprms,
	HANDLE hPort, int sock, HANDLE hTerm);
BCPLUGIN_API int __stdcall Finalize(const wchar_t* gprms,
	HANDLE hPort, int sock, HANDLE hTerm);

BCPLUGIN_API int __stdcall OnRx(const wchar_t* prms,
	HANDLE hPort, int sock, HANDLE hTerm,
	void* data, int len);
BCPLUGIN_API int __stdcall OnTx(const wchar_t* prms,
	HANDLE hPort, int sock, HANDLE hTerm,
	void* data, int len);


#ifdef __cplusplus
}
#endif

#endif	// __BcPlugins_h
